curl --request POST \
--url https://dev-public-api.openphone.dev/v1/conversations/{conversationId}/mark-as-read \
--header 'Authorization: <api-key>'{
"assignedTo": "US123abc",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "CN123abc",
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastActivityId": "AC123abc",
"mutedUntil": "2023-11-07T05:31:56Z",
"name": "Chat with customer",
"participants": [
"+15555555555"
],
"phoneNumberId": "PN123abc",
"snoozedUntil": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"code": "1000400",
"status": 400,
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1000401",
"status": 401,
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1001403",
"status": 403,
"docs": "https://quo.com/docs",
"title": "Not Phone Number User",
"description": "Not Phone Number User",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1000404",
"status": 404,
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1001500",
"status": 500,
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}Mark conversation as read
Mark a conversation as read, clearing its unread indicator without sending a message. Returns the updated conversation.
curl --request POST \
--url https://dev-public-api.openphone.dev/v1/conversations/{conversationId}/mark-as-read \
--header 'Authorization: <api-key>'{
"assignedTo": "US123abc",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "CN123abc",
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastActivityId": "AC123abc",
"mutedUntil": "2023-11-07T05:31:56Z",
"name": "Chat with customer",
"participants": [
"+15555555555"
],
"phoneNumberId": "PN123abc",
"snoozedUntil": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"code": "1000400",
"status": 400,
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1000401",
"status": 401,
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1001403",
"status": 403,
"docs": "https://quo.com/docs",
"title": "Not Phone Number User",
"description": "Not Phone Number User",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1000404",
"status": 404,
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "1001500",
"status": 500,
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}Authorizations
Path Parameters
The unique identifier of the conversation to mark as read.
^CN(.*)$"CN123abc"
Response
OK
The unique identifier of the user or system user the conversation is assigned to.
^US(.*)$"US123abc"
The unique identifier of the conversation.
^CN(.*)$"CN123abc"
The unique identifier of the most recent activity in the conversation.
^AC(.*)$"AC123abc"
The custom name of the conversation. Will be null if no custom name is set.
"Chat with customer"
An array of phone numbers involved in the call, excluding your Quo number. Each number is either a phone number in E.164 format, a short code (5-6 digits, no country code), or a non-phone-number caller ID (Anonymous, Blocked, or Restricted).
A phone number in E.164 format, a short code (5-6 digits, no country code), or a non-phone-number caller ID (Anonymous, Blocked, or Restricted).
^(?:\+[1-9]\d{1,14}|\d{5,6}|[aA](?:nonymous|NONYMOUS)|[bB](?:locked|LOCKED)|[rR](?:estricted|ESTRICTED))$The unique identifier of the Quo phone number associated with the conversation.
^PN(.*)$"PN123abc"
Was this page helpful?